import request from '@/utils/request'

// 查询用户审核列表
export function listUserVerify(query) {
  return request({
    url: '/ss/userVerify/list',
    method: 'get',
    params: query
  })
}

// 查询用户审核详细
export function getUserVerify(id) {
  return request({
    url: '/ss/userVerify/' + id,
    method: 'get'
  })
}

// 新增用户审核
export function addUserVerify(data) {
  return request({
    url: '/ss/userVerify',
    method: 'post',
    data: data
  })
}

// 修改用户审核
export function updateUserVerify(data) {
  return request({
    url: '/ss/userVerify',
    method: 'put',
    data: data
  })
}

// 删除用户审核
export function delUserVerify(id) {
  return request({
    url: '/ss/userVerify/' + id,
    method: 'delete'
  })
}

// 审核用户
export function verifyUser(data) {
  return request({
    url: '/ss/userVerify/verify',
    method: 'put',
    data
  })
}
